summaryrefslogtreecommitdiffstats
path: root/defaultenv/bin/_update
diff options
context:
space:
mode:
Diffstat (limited to 'defaultenv/bin/_update')
-rw-r--r--defaultenv/bin/_update6
1 files changed, 3 insertions, 3 deletions
diff --git a/defaultenv/bin/_update b/defaultenv/bin/_update
index f736acc744..1bcb71c9b2 100644
--- a/defaultenv/bin/_update
+++ b/defaultenv/bin/_update
@@ -35,16 +35,16 @@ unprotect $part
echo
echo "erasing partition $part"
echo
-erase $part
+erase $part || exit 1
echo
echo "flashing $image to $part"
echo
if [ x$mode = xtftp ]; then
- tftp $image $part
+ tftp $image $part || exit 1
else
- cp $image $part
+ cp $image $part || exit 1
fi
protect $part